Bug 1268698 - Review Request: rubygem-guard-bundler - Guard gem for Bundler
Summary: Review Request: rubygem-guard-bundler - Guard gem for Bundler
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1516328
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-10-04 20:31 UTC by Ilya Gradina
Modified: 2019-09-09 08:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 08:13:51 UTC
Type: ---


Attachments (Terms of Use)

Description Ilya Gradina 2015-10-04 20:31:10 UTC
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-guard-bundler.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-guard-bundler-2.1.0-1.fc24.src.rpm
Description: Guard::Bundler automatically install/update your gem bundle when needed.
Fedora Account System Username: ilgrad

Comment 1 Jaroslav Prokop 2017-12-06 17:42:48 UTC
Hi Ilya, I did informal review on your package and I found following:

* Group is not needed
  - Group tags are not needed currently, so you should delete lines:
~~~
Group: Development/Languages
~~~

~~~
Group: Documentation
~~~

* Tests are not working
  - Tests are not working properly, because it seems upstream didn't include spec      
    folder in the gem. Please fix this.

* Include Runtime Dependencies
  - With tests I discovered there are runtime dependencies that need to be added.
    Please do so.

I did not discover other errors.

Comment 2 Robert-André Mauchin 🐧 2017-12-06 19:27:28 UTC
Also grab the license from upstream:

https://raw.githubusercontent.com/guard/guard-bundler/master/LICENSE

Comment 3 Robert-André Mauchin 🐧 2017-12-06 19:36:15 UTC
Missing runtime deps:


Runtime Dependencies (3):
bundler ~> 1.0
guard ~> 2.2 → not packaged
guard-compat ~> 1.1 → not packaged

Comment 4 Ilya Gradina 2017-12-06 21:57:03 UTC
(In reply to Robert-André Mauchin from comment #2)
> Also grab the license from upstream:
> 
> https://raw.githubusercontent.com/guard/guard-bundler/master/LICENSE

the license is already present

Comment 6 Vít Ondruch 2017-12-13 14:41:42 UTC
* Remove Coveralls dependecy
  - We don't care about code coverage, so Coveralls pulls in just more
    unnecessary dependencies. Please remove the dependency. This might be the
    medicine:

    ~~~
    # We don't care about code coverage.
    sed -i '/[cC]overalls/ s/^/#/' spec/spec_helper.rb
    ~~~

* Remove the rubygem(guard) dependnecy.
  - Is this dependency required? So far, I have not installed the package and it
    does not look to be required.

* Make sure the test suite is working.
  - It seems that spec_helper library needs to be explicitly loaded to run the
    test suite.
  - It seems that Gemfile is missing to execute some tests. This should help:

     ~~~
     echo "source 'http://rubygems.org'" > Gemfile
     ~~~

  - the "-Ilib" is not required
  - You don't have to delete the test suite after its execution.

Comment 7 Jaroslav Prokop 2019-08-12 12:25:14 UTC
Ping.. are you still interested in submitting this, Ilya?

Comment 8 Jaroslav Prokop 2019-09-09 08:13:51 UTC
Closing as stalled package review.


Note You need to log in before you can comment on or make changes to this bug.